<script setup>
import GuestLayout from '../../Layouts/GuestLayout.vue';
import {Head, useForm} from '@inertiajs/vue3';
import BackMobile from "../../Components/Items/Auth/BackMobile.vue";
import {provide, ref} from "vue";
import StepFirst from "../../Components/Items/Auth/StepFirst.vue";
import Steps from "../../Components/Items/Auth/Steps.vue";

const form = useForm({
    nickname: '',
    email: '',
    password: '',
    password_confirmation: '',
});

const submit = () => {
    form.post(route('register'), {
        preserveScroll: true,
    });
};

const currentStep = ref(1)
provide('currentStep',currentStep)
provide('form',form)
provide('submit',submit)
</script>

<template>
    <GuestLayout>
        <Head>
            <title>Регистрация</title>
        </Head>
        <BackMobile/>
        <section class="reg">
            <img class="reg__background" src="/img/regBack.svg" alt="">
            <img class="reg__background dark" src="/img/regBackDark.svg" alt="">
            <div class="container">
                <div class="reg__inner">
                    <Steps />
                    <StepFirst/>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>
